Fedora Linux Support Community & Resources Center
  #1  
Old 9th May 2012, 07:51 PM
bigboss2200 Offline
Wondering Where I Am
 
Join Date: Oct 2005
Posts: 309
linuxchrome
[SOLVED] python error (even yum wont work T_T )

Dear All..

Greetings

I have Fedora 16 with kernel 3.3.0-8.fc16.i686 installed, dunno how the problem started because I can't remember doing anything..!!! emesene wont lunch, and even "yum update" wont work..!

the error I'm getting is as follows:

for yum:

Code:
[root@localhost faris]# yum upadate
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 98, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 254, in getOptionsConfig
    self.conf
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1007, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 335, in _getConfig
    startupconf = config.readStartupConfig(fn, root, releasever)
  File "/usr/lib/python2.7/site-packages/yum/config.py", line 1004, in readStartupConfig
    startupconf.uuid = get_uuid(uuidfile)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1075, in get_uuid
    if os.path.exists(savepath):
  File "/usr/lib/python2.7/genericpath.py", line 18, in exists
    os.stat(path)
TypeError: 'str' object is not callable
emesene:

Code:
[Faris@localhost ~]$ emesene
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
Traceback (most recent call last):
  File "/usr/bin/emesene", line 30, in <module>
    from emesene import emesene
  File "/usr/lib/python2.7/site-packages/emesene/emesene.py", line 97, in <module>
    from e3 import jabber
  File "/usr/lib/python2.7/site-packages/emesene/e3/jabber/__init__.py", line 1, in <module>
    from Worker import Worker
  File "/usr/lib/python2.7/site-packages/emesene/e3/jabber/Worker.py", line 37, in <module>
    import xmpp
  File "/usr/lib/python2.7/site-packages/xmpp/__init__.py", line 29, in <module>
    import simplexml,protocol,debug,auth,transports,roster,dispatcher,features,browser,filetransfer,commands
  File "/usr/lib/python2.7/site-packages/xmpp/auth.py", line 24, in <module>
    import sha,base64,random,dispatcher,re
  File "/usr/lib/python2.7/sha.py", line 8, in <module>
    DeprecationWarning, 2)
TypeError: 'str' object is not callable
[Faris@localhost ~]$
Installed python packages:

Code:
[Faris@localhost ~]$ rpm -qa|grep python
audit-libs-python-2.2-1.fc16.i686
gnome-python2-gnomekeyring-2.32.0-5.fc16.i686
python-bugzilla-0.6.2-2.fc16.noarch
python-dns-1.9.4-1.fc16.noarch
gnome-python2-gtkspell-2.25.3-37.fc16.i686
python-xlib-0.15-0.5.rc1.fc16.noarch
rpm-python-4.9.1.2-6.fc16.i686
python-alsa-1.0.25-1.fc16.i686
eekboard-python-1.0.5-1.fc16.i686
python-pyblock-0.49-2.fc15.i686
gnome-python2-libwnck-2.32.0-5.fc16.i686
python-boto-2.0-1.fc16.noarch
setools-libs-python-3.3.7-19.fc16.i686
python-nss-0.12-1.fc16.i686
gnome-python2-2.28.1-7.fc16.i686
python-meh-0.11-2.fc15.noarch
gnome-python2-desktop-2.32.0-5.fc16.i686
python-xmpp-0.5.0-0.4.rc1.fc15.noarch
python-feedparser-5.0.1-1.fc16.noarch
python-tempita-0.4-7.fc15.noarch
python-beaker-1.5.4-1.fc16.noarch
python-caribou-0.4.1-3.fc16.noarch
python-brlapi-0.5.6-3.fc16.i686
gnome-python2-gconf-2.28.1-7.fc16.i686
notify-python-0.1.1-18.fc15.i686
libxml2-python-2.7.8-6.fc16.i686
libproxy-python-0.4.7-1.fc16.noarch
python-paste-1.7.5.1-2.fc15.noarch
python-markupsafe-0.11-3.fc15.i686
python-BeautifulSoup-3.2.0-4.fc16.noarch
python-pycurl-7.19.0-9.fc15.i686
python-libs-2.7.2-5.2.fc16.i686
gnome-python2-extras-2.25.3-37.fc16.i686
python-decorator-3.3.2-1.fc16.noarch
python-crypto-2.3-5.fc16.i686
python-smbc-1.0.11-1.fc16.i686
python-slip-0.2.20-1.fc16.noarch
farsight2-python-0.0.31-1.fc16.i686
python-2.7.2-5.2.fc16.i686
python-httplib2-0.6.0-5.fc15.noarch
python-GnuPGInterface-0.3.2-8.fc15.noarch
python-iwlib-1.1-1.fc16.i686
libselinux-python-2.1.6-6.fc16.i686
python-virtkey-0.50-9.fc15.i686
python-magic-5.07-6.fc16.i686
python-ethtool-0.7-2.fc16.i686
liblouis-python-2.4.1-1.fc16.noarch
gnome-python2-canvas-2.28.1-7.fc16.i686
python-slip-gtk-0.2.20-1.fc16.noarch
python-urlgrabber-3.9.1-10.fc15.noarch
python-kitchen-1.1.1-1.fc16.noarch
libuser-python-0.57.4-1.fc16.i686
speech-dispatcher-python-0.7.1-6.fc16.i686
python-slip-dbus-0.2.20-1.fc16.noarch
python-simplejson-2.1.6-1.fc16.i686
abrt-addon-python-2.0.7-2.fc16.i686
gstreamer-python-0.10.19-2.fc15.i686
dbus-python-0.83.0-8.fc15.i686
policycoreutils-python-2.1.4-13.fc16.i686
cracklib-python-2.8.18-2.fc15.i686
python-cups-1.9.60-2.fc16.i686
python-IPy-0.75-1.fc16.noarch
python-iniparse-0.4-3.fc15.noarch
python-mako-0.4.2-1.fc16.noarch
python-keyring-0.5.1-2.fc15.noarch
libsemanage-python-2.1.2-1.fc16.i686
python-deltarpm-3.6-0.6.20110223git.fc16.i686
python-cloudfiles-1.7.9.3-1.fc16.noarch
python-telepathy-0.15.19-3.fc16.noarch
newt-python-0.52.14-1.fc16.i686
python-chardet-2.0.1-3.fc15.noarch
libreport-python-2.0.8-4.fc16.i686
python-cryptsetup-0.1.4-1.fc16.i686
[Faris@localhost ~]$
Dunno where the problem relays, I thought of installing python again but yum wont even load .. any suggestions??

---------- Post added at 09:51 PM ---------- Previous post was at 07:52 PM ----------

guys, I can't yum anything, and I can't afford to format, any help is really appreciated..!

Ninja edit: a small restart solved the problem, dunno what was hanging over there..
__________________
Code:
[Faris@localhost ~]$ cat /dev/urandom > /dev/dsp
http://farisguides.webs.com

Last edited by bigboss2200; 9th May 2012 at 08:15 PM. Reason: Marked as solved
Reply With Quote
  #2  
Old 6th June 2012, 12:00 AM
seaoss Offline
Registered User
 
Join Date: Nov 2009
Location: In a stable
Posts: 54
linuxfirefox
Re: [SOLVED] python error (even yum wont work T_T )

was going to post a similar issue with emesene - will see if restarting my computer helps too (or wil try another day)
__________________
HP DV7-3111ea
Intel® Core™ i5 Processor i5-430M 2.26 GHz, Level 2 cache 3 MB
4 GB DDR3 RAM
NVIDIA® GeForce® G 105M
Broadcom 43225 wireless card

Two wrongs don't make a right but 3 lefts do...
Reply With Quote
  #3  
Old 25th July 2012, 08:51 PM
seaoss Offline
Registered User
 
Join Date: Nov 2009
Location: In a stable
Posts: 54
linuxfirefox
Re: [SOLVED] python error (even yum wont work T_T )

Just to say I've done a reinstall since my above post when things worked with a restart...
Am getting exactly that emesene issue and restarts don't make a difference :S
__________________
HP DV7-3111ea
Intel® Core™ i5 Processor i5-430M 2.26 GHz, Level 2 cache 3 MB
4 GB DDR3 RAM
NVIDIA® GeForce® G 105M
Broadcom 43225 wireless card

Two wrongs don't make a right but 3 lefts do...
Reply With Quote
Reply

Tags
error, python, work, yum

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Error With Python / Python-Twisted-Web HMSS013 Using Fedora 6 11th November 2010 05:07 AM
sandbox -X doesn't work in F13: policycoreutils-python dependency error Shunyata Security and Privacy 6 3rd August 2010 07:34 PM
Python and PyQt don't work rantanplan Programming & Packaging 2 7th March 2008 01:44 AM
yum doesnt't work - python problem ? jsanza@terra.es Installation, Upgrades and Live Media 4 23rd February 2006 09:16 AM
/etc/cron.daily/yum.cron: Error: python-devel conflicts with python < 2.3.4-13.1 productive Servers & Networking 0 20th April 2005 09:51 PM


Current GMT-time: 20:14 (Monday, 24-11-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat
Dalianwan Photos - Mae Ramat Instagram Photos - Koulamoutou Travel Photos on Instagram